View Issue Details

IDProjectCategoryView StatusLast Update
0001259SketcherFeaturepublic2017-09-25 07:33
ReportermntcAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001259: Anything can be added as external geometry
DescriptionAt least in 0.13 I can only add external geometry from the same object where sketch is created. But usually it is necessary to add projections to sketch from other objects - to inherit holes, lines, faces, planes, etc.
TagsNo tags attached.

Activities

Johnny Geling

2015-06-22 10:49

reporter   ~0006218

It would already be good when it is possible to create reference to exsisting sketches.

It makes it possible to create layout sketches related to each other.

DeepSOIC

2015-06-23 09:04

developer   ~0006224

In assembly partdesign that is being prepared for merging, this is allowed.

Johnny Geling

2015-06-23 10:16

reporter   ~0006225

Good initiative.

Would that also be available in a part, or is it in the assembly only.
I'm thinking about the work-flow in arch projects.
For instance:
Creating the sketches for positioning the different walls and other structures. Then each wall can be created independently to it's height.
The walls and other structures from other floors can be related to the floor below and fundamentals.

DeepSOIC

2015-06-23 11:33

developer   ~0006226

As far as I can remember, it was only within one Part (PartDesign Part object, not Part workbench).

more11

2015-06-28 21:38

reporter   ~0006237

Will this solve http://www.freecadweb.org/tracker/view.php?id=2164 ?

Is there a commitment from the developing team?

normandc

2017-07-01 08:36

manager   ~0009631

I believe this is fixed in the new PartDesign work flow in 0.17.

Issue History

Date Modified Username Field Change
2013-10-01 17:15 mntc New Issue
2015-06-22 10:49 Johnny Geling Note Added: 0006218
2015-06-23 09:04 DeepSOIC Note Added: 0006224
2015-06-23 10:16 Johnny Geling Note Added: 0006225
2015-06-23 11:33 DeepSOIC Note Added: 0006226
2015-06-28 21:38 more11 Note Added: 0006237
2017-07-01 08:36 normandc Note Added: 0009631
2017-09-25 07:33 wmayer Status new => closed
2017-09-25 07:33 wmayer Resolution open => fixed
2017-09-25 07:33 wmayer Fixed in Version => 0.17